LucasArts Patch 1.1 not working

#1Silverfang1229Posted 2/13/2010 7:00:30 AM
Everytime I try to install the patch it says it is not the correct version of Star Wars BAttlefront II even though it's a clean install. I'm in the USA so I'm sure I'm supposed to install the domestic version of the patch. I don't know what else to do. Plus this is a clean install.
#2lil_literalistPosted 2/15/2010 10:49:25 AM
There is both a CD version and a DVD version of the patch. I'm not sure which kind you're supposed to use on Steam, but you may want to try the other one.
---
You were the Chosen One! It was said that you would destroy the Sith, not join them. Bring balance to the Force, not leave it in Darkness!
-Obi-wan
#3OursTeh1337Posted 2/17/2010 8:31:42 AM
Some of the retail copies come with the patch already installed, so you might already have it, and that's why it's not letting you install it.
---
If I Were Here, I'd Be Gone By Now
#4yugiohfanatic91Posted 2/23/2010 1:34:03 PM
same thing happened with me, I just installed the version 1.3 of it and I loved it.
---
If your in love with a girl in school, everyone and her knows about it, she does not like you, and, your a fridget, WHAT DO YOU DO?